Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

Bee

Thành viên
  • Số lượng nội dung

    409
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    28

Cộng đồng

114 (tàm tạm)

About Bee

  • Cấp bậc
    biết lệnh block

Khách truy cập Tiểu sử gần đây

2.567 chế độ xem tiểu sử
  1. cắt line,pline giao với nhiều hình khác nhau

    Oài còn 1 đống trường hợp chưa xử lý mà. 1. Đối tượng này không nằm trong wcs. 2. Đối tượng pline nhưng không kín. 3. Đối tượng không phải pline 4. 2 pline nằm trong nhau Hê hê nhiều nhỉ. Cái này thì từ từ mình sẽ fix, giờ đang chạy lụt nên chưa có time. Hoặc chờ các cao thủ fix cho. ^_^
  2. cắt line,pline giao với nhiều hình khác nhau

    Mình gửi lại, copy paste và load chạy lệnh xem được chưa nhé.! ^_^ (defun c:test (/ vl-pline-centroid n pt ss ent) (load "extrim.lsp") (defun vl-pline-centroid (pl / acdoc space obj reg cen) (vl-load-com) (setq acdoc (vla-get-activedocument (vlax-get-acad-object)) space (if (= (getvar "CVPORT") 1) (vla-get-paperspace acdoc) (vla-get-modelspace acdoc) ) ) (or (= (type pl) 'vla-object) (setq obj (vlax-ename->vla-object pl)) ) (setq reg (vlax-invoke space 'addregion (list obj)) cen (vlax-get (car reg) 'centroid) ) (vla-delete (car reg)) (trans cen 1 (vlax-get obj 'normal)) ) (if (setq ss (ssget)) (progn (setq n 0) (repeat (sslength ss) (setq pt (vl-pline-centroid (ssname ss n))) (setq ent (entmake (list '(0 . "POINT") (cons 10 pt)) ) ) (command "_.Zoom" "obj" (ssname ss n) "") (etrim (ssname ss n) pt) (setq n (1+ n)) ) ;repeat ) ;progn ) ;if (command "zoom" "all") )
  3. cắt line,pline giao với nhiều hình khác nhau

    Lisp này chỉ việc chọn những vùng boundary pline là nó tự trim hết bên trong mà! Giống file dwg mẫu bạn gửi đó thôi.
  4. cắt line,pline giao với nhiều hình khác nhau

    Quick code tí cho bạn. Chưa test hết các trường hợp nhưng thử bản vẽ drawing thì thấy chạy được. ^_^ (defun c:test (/ vl-pline-centroid n pt ss ent) (defun vl-pline-centroid (pl / acdoc space obj reg cen) (vl-load-com) (setq acdoc (vla-get-activedocument (vlax-get-acad-object)) space (if (= (getvar "CVPORT") 1) (vla-get-paperspace acdoc) (vla-get-modelspace acdoc) ) ) (or (= (type pl) 'vla-object) (setq obj (vlax-ename->vla-object pl)) ) (setq reg (vlax-invoke space 'addregion (list obj)) cen (vlax-get (car reg) 'centroid) ) (vla-delete (car reg)) (trans cen 1 (vlax-get obj 'normal)) ) (if (setq ss (ssget)) (progn (setq n 0) (repeat (sslength ss) (setq pt (vl-pline-centroid (ssname ss n))) (setq ent (entmake (list '(0 . "POINT") (cons 10 pt)) ) ) (command "_.Zoom" "obj" (ssname ss n) "") (etrim (ssname ss n) pt) (setq n (1+ n)) ) ;repeat ) ;progn ) ;if (command "zoom" "all") )
  5. Translate name file sang tiếng việt !

    Hi Ketxu, Có cách nào tận dụng google translate không ketxu ? Chứ thằng Renamer đấy phải xây dựng cơ sở dữ liệu của từng ngôn ngữ. ^_^
  6. Translate name file sang tiếng việt !

    Xin chào ngày mới.! Mình lại có rất nhiều file với tên của nước không phải là Viet nam. VD: 014-A现代风格 .zip ---> 014-Một phong cách hiện đại .zip Bạn nào có tool translate hàng loạt file và rename file thành tiếng việt được không ? Hoặc có code cho phần này share được không ? Thanks. ^_^
  7. Remove string tiếng Nhật

    Thanks gia_bạch. Thế này là chạy ngon roài. ^_^
  8. Remove string tiếng Nhật

    Ý tưởng tool này ngon quá, like bác gia_bạch đã ^_^ Phát triển hoàn thiện thêm thì thành tool sài các chức năng khác liên quan thì ngon quá. Nhưng sao em chạy nó báokhông thấy cái folder name ở đâu nhỉ ? Bác đặt cái folder đấy ở đâu vậy :)
  9. Remove string tiếng Nhật

    OK bạn. Có funtion nào check in ParentFolder mà các SubFolder trong SubFolder không bạn.? Nghĩa là không cần biết folder trong folder mà cứ check all hết trong đó cả file và folder có thì nó xử lý hết, Chỉ cần browse folder ngoài cũng thôi.
  10. Remove string tiếng Nhật

    Hì Ok. Thế trường hợp thay file thành Folder thì thế nào vậy Mr Trang.?
  11. Remove string tiếng Nhật

    Mr Trang cho hỏi mở rộng hơn tí. ^_^ Trường hợp mà ko có "_" mà chỉ space (thường có trong các file có tiếng việt) thì code VBS thế nào ?
  12. Remove string tiếng Nhật

    Ok thanks Mr quocmanh. Để em chạy thử. Browse Folder thì dùng thằng này cũng nhanh gọn: (acet-ui-pickdir "Select Directory"))
  13. Remove string tiếng Nhật

    Ok chạy vậy là ngon roài.! Thank nhé. ^_^
  14. Remove string tiếng Nhật

    Thanks. ^_^
  15. Remove string tiếng Nhật

    Quả này em thử roài.! Nhưng mà lúc rename ko được: ("20180220_APARTMENT TYPE 1_????1_Block A.dwg") ????? thế sao rename được. ^_^
×